Bug 866991 - CVE-2012-4504 libproxy: long proxy.pac file handling buffer overflow [fedora-all]
CVE-2012-4504 libproxy: long proxy.pac file handling buffer overflow [fedora-...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libproxy (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-4504
  Show dependency treegraph
 
Reported: 2012-10-16 09:46 EDT by Tomas Hoger
Modified: 2012-12-09 06:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 21:19:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-10-16 09:46:21 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Tomas Hoger 2012-10-16 09:46:32 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=864417,866991
Comment 2 Fedora Update System 2012-10-17 15:06:02 EDT
libproxy-0.4.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libproxy-0.4.10-1.fc18
Comment 3 Fedora Update System 2012-10-17 23:35:16 EDT
Package libproxy-0.4.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libproxy-0.4.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16383/libproxy-0.4.10-1.fc18
then log in and leave karma (feedback).
Comment 4 Tomas Hoger 2012-11-02 12:05:33 EDT
Is there a plan to push the fix to F16 and F17 too?
Comment 5 Nicolas Chauvet (kwizart) 2012-11-02 12:29:03 EDT
Yep, I will push it ASAP. I needed some time to better test it on releases.
Thx for the reminder.
Comment 6 Nicolas Chauvet (kwizart) 2012-11-02 13:05:29 EDT
OK, so gnome system wide proxy setting was forwarded to vlc (via libproxy).
Updates will follow.
Comment 7 Fedora Update System 2012-11-02 13:39:36 EDT
libproxy-0.4.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libproxy-0.4.10-1.fc17
Comment 8 Fedora Update System 2012-11-02 13:40:43 EDT
libproxy-0.4.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libproxy-0.4.10-1.fc16
Comment 9 Fedora Update System 2012-11-18 21:19:18 EST
libproxy-0.4.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-12-09 06:48:05 EST
libproxy-0.4.11-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libproxy-0.4.11-1.fc16

Note You need to log in before you can comment on or make changes to this bug.